# Create company list

{% openapi src="/files/HceBJd5Oa9ix2AdHFpf4" path="v1/company/lists/" method="post" expanded="true" %}
[50skills Journeys API 2.yaml](https://2745779787-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F3Mz58ywsyckDBxRQPsJf%2Fuploads%2Fgit-blob-e4fb17c5b0e22e04724315d184ccee298927525d%2F50skills%20Journeys%20API%202.yaml?alt=media)
{% endopenapi %}

***

#### Request samples

{% tabs %}
{% tab title="Application/JSON" %}
{% code overflow="wrap" %}

```json
{
   "name":"Issue types",
   "source":"Jira",
   "options":[
      {
         "value":"10003",
         "label":"Service request"
      },
      {
         "value":"10000",
         "label":"Epic"
      },
      {
         "value":"10007",
         "label":"System problem"
      }
   ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.post(
    "https://journeys-api.50skills.app/v1/company/lists/",
    json={
        "name": "Issue types",
        "source": "Jira",
        "options": [
            {
                "value":"10003",
                "label":"Service request"
            },
            {
                 "value":"10000",
                 "label":"Epic"
            },
            {
                 "value":"10007",
                 "label":"System problem"
            }
        ],
    }
)
print(response.json())               
```

{% endtab %}
{% endtabs %}

#### Response samples

{% tabs %}
{% tab title="201 (Created)" %}
{% code overflow="wrap" %}

```json
{
   "id":"AOse1MyX",
   "shortId":"AOse1MyX",
   "name":"Issue types",
   "source":"Jira",
   "options":[
      {
         "shortId":"mrzWmkKj",
         "value":"10003",
         "label":"Service request",
         "order":0
      },
      {
         "shortId":"MzKmA3K8",
         "value":"10000",
         "label":"Epic",
         "order":1
      },
      {
         "shortId":"wMyvRayZ",
         "value":"10007",
         "label":"System problem",
         "order":2
      }
   ],
   "numOptions":3
}
```

{% endcode %}
{% endtab %}

{% tab title="400" %}

```json
{
   "name":[
      "This field is required."
   ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.50skills.app/journeys/api-reference/company-lists/create-company-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
